Skip to content
Documentation

Do not use! (For internal use only.) - This endpoint writes data to the given time series using a specialized format

POST /repositories/{repository}/timeSeries/{timeSeries}/datatimespan

Use of this endpoint is discouraged. It exists solely to provide a compatibility layer with existing HAKOM applications.

Name In Type Required Description
repository path string yes The repository in which the time series is stored.
timeSeries path string yes The name or id (prefixed with ‘id:’) of the time series to write the data to.
unit query string yes The unit in which the data is written. A conversion will be performed if applicable.

The name/symbol of a unit stored in the repository specified in the requests parameters.
quotationDateTime query string (date-time) no The quotation date/time for which the data should be written.

Required.

Schema: TimeSeriesDataSpanOfDouble[]

[
{
"value": 0,
"flag": 9,
"period": {
"from": "2026-01-01T00:00:00Z",
"to": "2026-01-01T00:00:00Z"
}
}
]
Code Description Type
204 This response indicates that the data was written successfully. The response contains no body. any
4XX Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. ProblemDetails
5XX Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. ProblemDetails

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}
© 2026 Volue.Version v0.6.38017 November 2026